Communicable(3)

NAME
Communicable -

SYNOPSIS

Inherited by Cooperative, Runner, Service, and Worker.

  Public Member Functions
Communicable ()
virtual ~Communicable ()
COMM_ID getKey ()
void lock ()
void unlock ()
void stop ()
void resume ()

  Protected Attributes
COMM_ID key
sem_t sem_lock
sem_t sem_stop

  Static Protected Attributes
static unsigned num_comm = 0

Detailed Description

Definition at line 44 of file communicable.h.

Author

Generated automatically by Doxygen for ParadisEO-PEOMovingObjects from the source code.